import * as $dara from '@darabonba/typescript';
import { CreatePortRangeListResponseBody } from "./CreatePortRangeListResponseBody";
export declare class CreatePortRangeListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreatePortRangeListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
